|

Upload a large file to a user's vault

post/users/{fp_id}/vault/{identifier}/upload
External ID
Upload a large file to the user's vault. The contents of the provided Data Identifier will be set to the contents of the provided HTTP request body.

Request

Path parameters

fp_id·

string

identifier·

string

Allowed values:

id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_id
business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
investor_profile.employment_statusinvestor_profile.occupation

Headers

content-type·

optional string

Specify the content type of the object like application/json or image/png

Body

Raw body

Response

Empty JSON.
POST /users/{fp_id}/vault/{identifier}/upload
1curl -X POST https://api.onefootprint.com/users/{fp_id}/vault/{identifier}/upload \
2  -u sk_test_xxxxx: \
3  -d 'raw data'
Response example
{}